Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision 70382718450c6b5d83232188cc71b6c795048a27)
+++ cpukit/Makefile.am	(revision 55b69ed28e7ebb77debd98aa9dea6ee34ff79ff1)
@@ -282,5 +282,4 @@
 librtemscpu_a_SOURCES += libmisc/devnull/devnull.c
 librtemscpu_a_SOURCES += libmisc/devnull/devzero.c
-librtemscpu_a_SOURCES += libmisc/dummy/default-configuration.c
 librtemscpu_a_SOURCES += libmisc/dummy/dummy-networking.c
 librtemscpu_a_SOURCES += libmisc/dumpbuf/dumpbuf.c
@@ -1832,4 +1831,9 @@
 all-local: generate-vc-key
 
+project_lib_LIBRARIES += librtemsdefaultconfig.a
+
+librtemsdefaultconfig_a_SOURCES =
+librtemsdefaultconfig_a_SOURCES += libmisc/dummy/default-configuration.c
+
 project_lib_LIBRARIES += libftpd.a
 
Index: testsuites/libtests/Makefile.am
===================================================================
--- testsuites/libtests/Makefile.am	(revision 70382718450c6b5d83232188cc71b6c795048a27)
+++ testsuites/libtests/Makefile.am	(revision 55b69ed28e7ebb77debd98aa9dea6ee34ff79ff1)
@@ -189,4 +189,5 @@
 lib_tests += calloc.norun
 calloc_norun_SOURCES = POSIX/calloc.c
+calloc_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -204,4 +205,5 @@
 lib_tests += clock_gettime.norun
 clock_gettime_norun_SOURCES = POSIX/clock_gettime.c
+clock_gettime_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -209,4 +211,5 @@
 lib_tests += close.norun
 close_norun_SOURCES = POSIX/close.c
+close_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -258,4 +261,5 @@
 defaultconfig01_CPPFLAGS = $(AM_CPPFLAGS) \
 	$(TEST_FLAGS_defaultconfig01) $(support_includes)
+defaultconfig01_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -521,4 +525,5 @@
 lib_tests += dup2.norun
 dup2_norun_SOURCES = POSIX/dup2.c
+dup2_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -544,4 +549,5 @@
 lib_tests += fcntl.norun
 fcntl_norun_SOURCES = POSIX/fcntl.c
+fcntl_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -559,4 +565,5 @@
 lib_tests += flockfile.norun
 flockfile_norun_SOURCES = POSIX/flockfile.c
+flockfile_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -564,4 +571,5 @@
 lib_tests += fork.norun
 fork_norun_SOURCES = POSIX/fork.c
+fork_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -569,4 +577,5 @@
 lib_tests += free.norun
 free_norun_SOURCES = POSIX/free.c
+free_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -574,4 +583,5 @@
 lib_tests += fstat.norun
 fstat_norun_SOURCES = POSIX/fstat.c
+fstat_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -591,4 +601,5 @@
 lib_tests += ftrylockfile.norun
 ftrylockfile_norun_SOURCES = POSIX/ftrylockfile.c
+ftrylockfile_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -596,4 +607,5 @@
 lib_tests += funlockfile.norun
 funlockfile_norun_SOURCES = POSIX/funlockfile.c
+funlockfile_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -610,4 +622,5 @@
 lib_tests += getlogin.norun
 getlogin_norun_SOURCES = POSIX/getlogin.c
+getlogin_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -615,4 +628,5 @@
 lib_tests += getpwnam.norun
 getpwnam_norun_SOURCES = POSIX/getpwnam.c
+getpwnam_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -620,4 +634,5 @@
 lib_tests += getpwuid.norun
 getpwuid_norun_SOURCES = POSIX/getpwuid.c
+getpwuid_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -625,4 +640,5 @@
 lib_tests += gettimeofday.norun
 gettimeofday_norun_SOURCES = POSIX/gettimeofday.c
+gettimeofday_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -630,4 +646,5 @@
 lib_tests += getuid.norun
 getuid_norun_SOURCES = POSIX/getuid.c
+getuid_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -652,4 +669,5 @@
 lib_tests += htonl.norun
 htonl_norun_SOURCES = POSIX/htonl.c
+htonl_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -666,4 +684,5 @@
 lib_tests += iconv.norun
 iconv_norun_SOURCES = POSIX/iconv.c
+iconv_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -671,4 +690,5 @@
 lib_tests += iconv_close.norun
 iconv_close_norun_SOURCES = POSIX/iconv_close.c
+iconv_close_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -676,4 +696,5 @@
 lib_tests += iconv_open.norun
 iconv_open_norun_SOURCES = POSIX/iconv_open.c
+iconv_open_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -681,4 +702,5 @@
 lib_tests += kill.norun
 kill_norun_SOURCES = POSIX/kill.c
+kill_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -695,4 +717,5 @@
 lib_tests += longjmp.norun
 longjmp_norun_SOURCES = POSIX/longjmp.c
+longjmp_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -700,4 +723,5 @@
 lib_tests += lseek.norun
 lseek_norun_SOURCES = POSIX/lseek.c
+lseek_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -705,4 +729,5 @@
 lib_tests += lstat.norun
 lstat_norun_SOURCES = POSIX/lstat.c
+lstat_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -710,4 +735,5 @@
 lib_tests += malloc.norun
 malloc_norun_SOURCES = POSIX/malloc.c
+malloc_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -836,4 +862,5 @@
 lib_tests += nanosleep.norun
 nanosleep_norun_SOURCES = POSIX/nanosleep.c
+nanosleep_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -861,4 +888,5 @@
 lib_tests += open.norun
 open_norun_SOURCES = POSIX/open.c
+open_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -866,4 +894,5 @@
 lib_tests += pipe.norun
 pipe_norun_SOURCES = POSIX/pipe.c
+pipe_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -871,4 +900,5 @@
 lib_tests += posix_memalign.norun
 posix_memalign_norun_SOURCES = POSIX/posix_memalign.c
+posix_memalign_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -911,4 +941,5 @@
 lib_tests += read.norun
 read_norun_SOURCES = POSIX/read.c
+read_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -916,4 +947,5 @@
 lib_tests += readv.norun
 readv_norun_SOURCES = POSIX/readv.c
+readv_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -921,4 +953,5 @@
 lib_tests += realloc.norun
 realloc_norun_SOURCES = POSIX/realloc.c
+realloc_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -935,4 +968,5 @@
 lib_tests += setjmp.norun
 setjmp_norun_SOURCES = POSIX/setjmp.c
+setjmp_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -957,4 +991,5 @@
 lib_tests += sigaddset.norun
 sigaddset_norun_SOURCES = POSIX/sigaddset.c
+sigaddset_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -962,4 +997,5 @@
 lib_tests += sigdelset.norun
 sigdelset_norun_SOURCES = POSIX/sigdelset.c
+sigdelset_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -967,4 +1003,5 @@
 lib_tests += sigemptyset.norun
 sigemptyset_norun_SOURCES = POSIX/sigemptyset.c
+sigemptyset_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -972,4 +1009,5 @@
 lib_tests += sigfillset.norun
 sigfillset_norun_SOURCES = POSIX/sigfillset.c
+sigfillset_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -977,4 +1015,5 @@
 lib_tests += sigismember.norun
 sigismember_norun_SOURCES = POSIX/sigismember.c
+sigismember_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -982,4 +1021,5 @@
 lib_tests += sigprocmask.norun
 sigprocmask_norun_SOURCES = POSIX/sigprocmask.c
+sigprocmask_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -1023,4 +1063,5 @@
 lib_tests += stat.norun
 stat_norun_SOURCES = POSIX/stat.c
+stat_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -1274,4 +1315,5 @@
 lib_tests += unlink.norun
 unlink_norun_SOURCES = POSIX/unlink.c
+unlink_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -1288,4 +1330,5 @@
 lib_tests += vfork.norun
 vfork_norun_SOURCES = POSIX/vfork.c
+vfork_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -1293,4 +1336,5 @@
 lib_tests += wait.norun
 wait_norun_SOURCES = POSIX/wait.c
+wait_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -1298,4 +1342,5 @@
 lib_tests += waitpid.norun
 waitpid_norun_SOURCES = POSIX/waitpid.c
+waitpid_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -1303,4 +1348,5 @@
 lib_tests += write.norun
 write_norun_SOURCES = POSIX/write.c
+write_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
@@ -1308,4 +1354,5 @@
 lib_tests += writev.norun
 writev_norun_SOURCES = POSIX/writev.c
+writev_norun_LDADD = $(LDADD) $(RTEMS_ROOT)cpukit/librtemsdefaultconfig.a
 endif
 
